﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=11
@EndOfDesignText@
'#DesignerProperty: Key: ShowTabs, DisplayName: Show Tabs, FieldType: Boolean, DefaultValue: False

#Event: PageChanged(Index as int)

Sub Class_Globals
	Private mEventName As String 'ignore
	Private mCallBack As Object 'ignore
	Public mBase As B4XView
	Private xui As XUI 'ignore
	Public Tag As Object
	
	#IF B4I
	Public TabGap as Float = 20dip
	#End If
	
	'Private m_ShowTabs As Boolean
	
	Private lst_Pages As List
	
	#If B4A
	Private imgLayout As AHPageContainer
	Private AHViewPager1 As AHViewPager
	#Else If B4I
	Private TabStrip1 As TabStrip
	#End If
End Sub

Public Sub Initialize (Callback As Object, EventName As String)
	mEventName = EventName
	mCallBack = Callback
	lst_Pages.Initialize
End Sub

'Base type must be Object
Public Sub DesignerCreateView (Base As Object, Lbl As Label, Props As Map)
	mBase = Base
    Tag = mBase.Tag
    mBase.Tag = Me 
	IniProps(Props)
	'Sleep(0)
	#If B4i
	mBase.LoadLayout("frm_ASViewPagerNative_Tabstrip")
	
	'TabStrip1.As(B4XView).Top = -20dip
	#End If
	
#If B4A
	AHViewPager1.Initialize("AHViewPager1")
	mBase.AddView(AHViewPager1,0,0,mBase.Width,mBase.Height)
	#End If
	'TabStrip1.
	
End Sub

Private Sub IniProps(Props As Map)'ignore
	'm_ShowTabs = Props.Get("ShowTabs")
	
End Sub

Private Sub Base_Resize (Width As Double, Height As Double)
	mBase.SetLayoutAnimated(0,mBase.Left,mBase.Top,Width,Height)
	
	'Container.Height = Container.Height + PrevTop - Container.top
End Sub

'Page - Panel with layout
'Text - Only needed if you show tabs
Public Sub AddPages(ListOfPanels As List,Text As String)
	
	#If B4A
	imgLayout.Initialize
	
	For i = 0 To ListOfPanels.Size -1
		
		imgLayout.AddPage(ListOfPanels.Get(i).As(Panel),"")
		
	Next
	
	AHViewPager1.PageContainer = imgLayout
	#Else If B4I
	TabStrip1.SetPages(ListOfPanels)
	TabStrip1.CurrentPage = 0
	#End If
End Sub

#If B4A

Private Sub AHViewPager1_PageChanged (Position As Int)
	PageChanged(Position)
End Sub

#Else If B4I

Private Sub TabStrip1_PageSelected (Position As Int)
	PageChanged(Position)
End Sub

#End If

#Region Events

Private Sub PageChanged(Index As Int)
	
	If xui.SubExists(mCallBack, mEventName & "_PageChanged", 1) Then
		CallSub2(mCallBack, mEventName & "_PageChanged",Index)
	End If
	
End Sub

#End Region
